<?php
  $sv=$q['narod']-$q['narod_abs'];
       echo "<div class='aut'>Действия</div>";
  if($sv!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($sv>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`+$colvo, `gelezo_l`=`gelezo_l`+$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' жителей в железодобытчики');
        echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
        
      }
      else
      {
              msg('У вас нет столько жителей');
        echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
      }
    }
    else
    {
  echo "<form method='post' action='?do=12&amp;$passgen'>
  Кол-во жителей(макс. $sv чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form> ";
  }
}
else
{
  echo "У вас нет свободных жителей<br/>";
}
?>